Debian Bug report logs - #228915
busybox - ash stops respoding after alt-1

version graph

Package: busybox-cvs; Maintainer for busybox-cvs is (unknown);

Reported by: Stephen Frost <sfrost@snowman.net>

Date: Tue, 20 Jan 2004 21:03:02 UTC

Severity: normal

Tags: confirmed, fixed-upstream, upstream

Fixed in version busybox-cvs/20040101-6

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#228772; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Stephen Frost <sfrost@snowman.net>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen Frost <sfrost@snowman.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Install Report - discover locked, boot hung
Date: Tue, 20 Jan 2004 15:58:30 -0500
[Message part 1 (text/plain, inline)]
Package: installation-reports
Version: Beta2; Downloaded: 18-Jan-2004
Severity: important

INSTALL REPORT

Debian-installer-version:
	Beta2; 18-Jan-2004;
	http://people.debian.org/cdimage/testing/netinst/i386/beta2/sarge-i386-netinst.iso

uname -a: N/A, didn't get that far
Date: 19-Jan-2004
Method:
	Booted off the netinst ISO and installed from it.

Machine: Sony Vaio PCG-FRV28
Processor: Intel Pentium 4 - 2.8Ghz
Memory: 512MB
Root Device: IDE, single disk on primary controller (/dev/hda)
Root Size/partition table:
	(From memory):
	/dev/hda1 - 5G 'recovery'
	/dev/hda2 - 10G NTFS (WinXP)
	/dev/hda3 - 128MB root
	/dev/hda4 - Extended
	  /dev/hda5 - 10G NTFS (WinXP)
	  /dev/hda6 - 3G /usr
	  /dev/hda7 - 1G /var
	  /dev/hda8 - 5G /home

Output of lspci:
	Unfortunately I havn't got it, the install didn't make it far
	enough to where I could get it off using the network.  If I can
	run it from the install CD I could hand copy it, if necessary.

Base System Installation Checklist:

Initial boot worked:    [O]
Configure network HW:   [O]
Config network:         [O] - only eth0 :(
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Create file systems:    [O]
Mount partitions:       [O]
Install base system:    [E]
Install boot loader:    [O]
Reboot:                 [E]
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Comments/Problems:

Alright, first a few bitches:
	- Waiting for DHCP to time out sucked, I know it won't work,
	  eth0 isn't even connected to anything
	- Couldn't configure my wireless card (eth1), though it did
	  appear to be detected and looked operational
	- bash on con2, for whatever reason, stops responding if you hit
	  'alt-1' by accident (like when going for alt-f1 to get back to
	  the installation), this is *very* annoying since you have to
	  restart the install to get a shell to work in, it'd be nice to
	  have a way to forcibly reset the shell or bring up another one
	  or something
	- Every other step it appears to 'detect hardware' or whatever,
	  what's with that?  I don't have a floppy on the machine but
	  every time it takes a few seconds to try and load it.

Now, the big problems:
	- discover just hung for a *long* time (>30 minutes), it was
	  called with 'modules-detect all', iirc.  This was in the
	  postinst of discover after the 'base system' had been
	  installed and it was installing 'extra components', iirc.
	  I didn't see any kernel oops or anything abnormal, and I was
	  able to kill discover off (though it just restarted and got
	  stuck at the same place).  Eventually I just hacked up the
	  postinst to act like it didn't find anything (MODULES="").
	  This got me through the rest of the install and to reboot.
	- On boot, everything looked alright except after saying
	  something like 'lp0: detected blah blah' nothing else showed
	  up.  It looked to have just hung at that point.  Maybe it
	  was trying to load up some framebuffer or maybe X is supposted
	  to start at that point?  I dunno, but I couldn't do anything,
	  none of the other consoles appeared to be up or anything.  I
	  recall being warned that there might be a problem with the
	  current X in Debian and the graphics card in my laptop (ATI
	  Radeon IGP 345M 64MB (shared)), though 4.3 (released *how*
	  long ago?) supports it.  Don't know if that's a problem here
	  or not.

	  Hope this helps, I'm thinking about trying a daily-build or
	  something.  If anyone has any comments/suggestions on things I
	  could try, I'm all ears.  I'd really like to get Debian on the
	  box, and heard d-i was starting to get pretty decent...

	  	Thanks,

			Stephen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#228772; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@soziologie.ch>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 228772@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@soziologie.ch>
To: Stephen Frost <sfrost@snowman.net>, 228772@bugs.debian.org
Subject: Re: Bug#228772: Install Report - discover locked, boot hung
Date: Wed, 21 Jan 2004 17:01:37 +0100
Am Die, den 20.01.2004 schrieb Stephen Frost um 21:58:

> Comments/Problems:
> 
> Alright, first a few bitches:
> 	- Waiting for DHCP to time out sucked, I know it won't work,
> 	  eth0 isn't even connected to anything
> 	- Couldn't configure my wireless card (eth1), though it did
> 	  appear to be detected and looked operational
If it was really operational, then you would have been presented with a
list of interfaces. This could be either a bug in netcfg or the
interface is not listed in /proc/net/dev and probably not operational.
Please send us the content of /proc/net/dev at this stage.
> 	- bash on con2, for whatever reason, stops responding if you hit
> 	  'alt-1' by accident (like when going for alt-f1 to get back to
> 	  the installation), this is *very* annoying since you have to
> 	  restart the install to get a shell to work in, it'd be nice to
> 	  have a way to forcibly reset the shell or bring up another one
> 	  or something
The shell is busybox ash. This is probably either a kernel bug or a bug
in the busybox shell. Don't know more about that, sorry.
> 	- Every other step it appears to 'detect hardware' or whatever,
> 	  what's with that?  I don't have a floppy on the machine but
> 	  every time it takes a few seconds to try and load it.
The hardware detection is a bit hackish atm. I don't know of a good way
to detect a floppy drive other than trying to load the module. We should
optimize the code to only try this once.
> 
> Now, the big problems:
> 	- discover just hung for a *long* time (>30 minutes), it was
> 	  called with 'modules-detect all', iirc.  This was in the
> 	  postinst of discover after the 'base system' had been
> 	  installed and it was installing 'extra components', iirc.
> 	  I didn't see any kernel oops or anything abnormal, and I was
> 	  able to kill discover off (though it just restarted and got
> 	  stuck at the same place).  Eventually I just hacked up the
> 	  postinst to act like it didn't find anything (MODULES="").
> 	  This got me through the rest of the install and to reboot.
Do you know which module it tried to load when it hung? I have never
seen that before, but the most probably explanation seems that it tries
to load a kernel module which hangs.
> 	- On boot, everything looked alright except after saying
> 	  something like 'lp0: detected blah blah' nothing else showed
> 	  up.  It looked to have just hung at that point.  Maybe it
> 	  was trying to load up some framebuffer or maybe X is supposted
> 	  to start at that point?  I dunno, but I couldn't do anything,
> 	  none of the other consoles appeared to be up or anything.  I
> 	  recall being warned that there might be a problem with the
> 	  current X in Debian and the graphics card in my laptop (ATI
> 	  Radeon IGP 345M 64MB (shared)), though 4.3 (released *how*
> 	  long ago?) supports it.  Don't know if that's a problem here
> 	  or not.
Probably the same discover bug.
> 

Thanks for testing.

Gaudenz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#228772; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Stephen Frost <sfrost@snowman.net>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 228772@bugs.debian.org (full text, mbox):

From: Stephen Frost <sfrost@snowman.net>
To: Gaudenz Steinlin <gaudenz@soziologie.ch>
Cc: 228772@bugs.debian.org
Subject: Re: Bug#228772: Install Report - discover locked, boot hung
Date: Wed, 21 Jan 2004 11:08:36 -0500
[Message part 1 (text/plain, inline)]
* Gaudenz Steinlin (gaudenz@soziologie.ch) wrote:
> Am Die, den 20.01.2004 schrieb Stephen Frost um 21:58:
> > Alright, first a few bitches:
> > 	- Waiting for DHCP to time out sucked, I know it won't work,
> > 	  eth0 isn't even connected to anything
> > 	- Couldn't configure my wireless card (eth1), though it did
> > 	  appear to be detected and looked operational
> If it was really operational, then you would have been presented with a
> list of interfaces. This could be either a bug in netcfg or the
> interface is not listed in /proc/net/dev and probably not operational.
> Please send us the content of /proc/net/dev at this stage.

I'll see about doing that tonight, it did show up as eth1 in ifconfig
though.  It's a wireless card though, I don't know if that has some
impact on this.

> > 	- bash on con2, for whatever reason, stops responding if you hit
> > 	  'alt-1' by accident (like when going for alt-f1 to get back to
> > 	  the installation), this is *very* annoying since you have to
> > 	  restart the install to get a shell to work in, it'd be nice to
> > 	  have a way to forcibly reset the shell or bring up another one
> > 	  or something
> The shell is busybox ash. This is probably either a kernel bug or a bug
> in the busybox shell. Don't know more about that, sorry.

It's really annoying. :)  I'm working around it though.  It's still be
nice if there was a way to kill/restart the shell on that console
somehow though, or start up another shell on another console.

> > 	- Every other step it appears to 'detect hardware' or whatever,
> > 	  what's with that?  I don't have a floppy on the machine but
> > 	  every time it takes a few seconds to try and load it.
> The hardware detection is a bit hackish atm. I don't know of a good way
> to detect a floppy drive other than trying to load the module. We should
> optimize the code to only try this once.

Right, do it once and cache the info, don't redo it every time, that's
silly.

> > Now, the big problems:
> > 	- discover just hung for a *long* time (>30 minutes), it was
> > 	  called with 'modules-detect all', iirc.  This was in the
> > 	  postinst of discover after the 'base system' had been
> > 	  installed and it was installing 'extra components', iirc.
> > 	  I didn't see any kernel oops or anything abnormal, and I was
> > 	  able to kill discover off (though it just restarted and got
> > 	  stuck at the same place).  Eventually I just hacked up the
> > 	  postinst to act like it didn't find anything (MODULES="").
> > 	  This got me through the rest of the install and to reboot.
> Do you know which module it tried to load when it hung? I have never
> seen that before, but the most probably explanation seems that it tries
> to load a kernel module which hangs.

I tend to agree, but I have no idea which module it was trying to load..
Does it log which module it's trying to load something?  It really
should, if it doesn't...  Then you could just flip to con-3 or whatever
one is the tail -f and see.

> > 	- On boot, everything looked alright except after saying
> > 	  something like 'lp0: detected blah blah' nothing else showed
> > 	  up.  It looked to have just hung at that point.  Maybe it
> > 	  was trying to load up some framebuffer or maybe X is supposted
> > 	  to start at that point?  I dunno, but I couldn't do anything,
> > 	  none of the other consoles appeared to be up or anything.  I
> > 	  recall being warned that there might be a problem with the
> > 	  current X in Debian and the graphics card in my laptop (ATI
> > 	  Radeon IGP 345M 64MB (shared)), though 4.3 (released *how*
> > 	  long ago?) supports it.  Don't know if that's a problem here
> > 	  or not.
> Probably the same discover bug.

Yeah, I did find out though that I can ctrl-c and it dropped through and
I finished the install and the system appears to be operational, though
I can't seem to find drivers for the installed kernel for my wireless
card (even though I know it showed up as eth1 in the boot system, and I
think I recognized the module in the install, I'll have to check that
again).

Thanks,

	Stephen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#228772; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@soziologie.ch>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 228772@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@soziologie.ch>
To: Stephen Frost <sfrost@snowman.net>, 228772@bugs.debian.org
Subject: Re: Bug#228772: Install Report - discover locked, boot hung
Date: Wed, 21 Jan 2004 17:23:33 +0100
Am Mit, den 21.01.2004 schrieb Stephen Frost um 17:08:
> * Gaudenz Steinlin (gaudenz@soziologie.ch) wrote:
> > Am Die, den 20.01.2004 schrieb Stephen Frost um 21:58:

> 
> I tend to agree, but I have no idea which module it was trying to load..
> Does it log which module it's trying to load something?  It really
> should, if it doesn't...  Then you could just flip to con-3 or whatever
> one is the tail -f and see.
The one thing that seems strange to me is, that discover does not hang
if it is called from d-i. It only hangs if the postinst of the package
installed to /target is run. You can see which module it tries to load
in /var/lib/discover/crash respectively /target/var/lib/discover/crash
during the install.

Gaudenz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#228772; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Stephen Frost <sfrost@snowman.net>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 228772@bugs.debian.org (full text, mbox):

From: Stephen Frost <sfrost@snowman.net>
To: Gaudenz Steinlin <gaudenz@soziologie.ch>
Cc: 228772@bugs.debian.org
Subject: Re: Bug#228772: Install Report - discover locked, boot hung
Date: Wed, 21 Jan 2004 11:38:01 -0500
[Message part 1 (text/plain, inline)]
* Gaudenz Steinlin (gaudenz@soziologie.ch) wrote:
> Am Mit, den 21.01.2004 schrieb Stephen Frost um 17:08:
> > * Gaudenz Steinlin (gaudenz@soziologie.ch) wrote:
> > > Am Die, den 20.01.2004 schrieb Stephen Frost um 21:58:
> 
> > 
> > I tend to agree, but I have no idea which module it was trying to load..
> > Does it log which module it's trying to load something?  It really
> > should, if it doesn't...  Then you could just flip to con-3 or whatever
> > one is the tail -f and see.
> The one thing that seems strange to me is, that discover does not hang
> if it is called from d-i. It only hangs if the postinst of the package
> installed to /target is run. You can see which module it tries to load
> in /var/lib/discover/crash respectively /target/var/lib/discover/crash
> during the install.

I checked, and those files didn't exist (first thing I did before I
modified the postinst script).  Kind of odd, I guess..

	Stephen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#228772; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 228772@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Stephen Frost <sfrost@snowman.net>, 228772@bugs.debian.org
Cc: Gaudenz Steinlin <gaudenz@soziologie.ch>
Subject: Re: Bug#228772: Install Report - discover locked, boot hung
Date: Wed, 21 Jan 2004 17:52:59 +0100
[Message part 1 (text/plain, inline)]
clone 228772 -1
reassign -1 busybox-cvs
severity -1 normal
tags -1 upstream confirmed
retitle -1 busybox - ash stops respoding after alt-1
thanks

On Wed, Jan 21, 2004 at 11:08:36AM -0500, Stephen Frost wrote:
> > > 	- bash on con2, for whatever reason, stops responding if you hit
> > > 	  'alt-1' by accident (like when going for alt-f1 to get back to
> > > 	  the installation), this is *very* annoying since you have to
> > > 	  restart the install to get a shell to work in, it'd be nice to
> > > 	  have a way to forcibly reset the shell or bring up another one
> > > 	  or something
> > The shell is busybox ash. This is probably either a kernel bug or a bug
> > in the busybox shell. Don't know more about that, sorry.
> It's really annoying. :)  I'm working around it though.  It's still be
> nice if there was a way to kill/restart the shell on that console
> somehow though, or start up another shell on another console.

I confirm that bug.

Bastian

-- 
Behind every great man, there is a woman -- urging him on.
		-- Harry Mudd, "I, Mudd", stardate 4513.3
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#228772; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@soziologie.ch>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 228772@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@soziologie.ch>
To: Stephen Frost <sfrost@snowman.net>
Cc: 228772@bugs.debian.org
Subject: Re: Bug#228772: Install Report - discover locked, boot hung
Date: Wed, 21 Jan 2004 17:59:56 +0100
Am Mit, den 21.01.2004 schrieb Stephen Frost um 17:38:
> * Gaudenz Steinlin (gaudenz@soziologie.ch) wrote:
> > Am Mit, den 21.01.2004 schrieb Stephen Frost um 17:08:
> > > * Gaudenz Steinlin (gaudenz@soziologie.ch) wrote:
> > > > Am Die, den 20.01.2004 schrieb Stephen Frost um 21:58:
> > 
> > > 
> > > I tend to agree, but I have no idea which module it was trying to load..
> > > Does it log which module it's trying to load something?  It really
> > > should, if it doesn't...  Then you could just flip to con-3 or whatever
> > > one is the tail -f and see.
> > The one thing that seems strange to me is, that discover does not hang
> > if it is called from d-i. It only hangs if the postinst of the package
> > installed to /target is run. You can see which module it tries to load
> > in /var/lib/discover/crash respectively /target/var/lib/discover/crash
> > during the install.
> 
> I checked, and those files didn't exist (first thing I did before I
> modified the postinst script).  Kind of odd, I guess..
Do you have an idea where else in the startup script it could hang? Does
it print the list of detected modules after "Detecting hardware: "? 
Can you rund "discover --module all" and see if this hangs?

Gaudenz




Bug 228772 cloned as bug 228915. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `installation-reports' to `busybox-cvs'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream, confirmed Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#228915; Package busybox-cvs. Full text and rfc822 format available.

Acknowledgement sent to Glenn McGrath <bug1@iinet.net.au>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 228915@bugs.debian.org (full text, mbox):

From: Glenn McGrath <bug1@iinet.net.au>
To: 228915@bugs.debian.org
Subject: ash bug fixed upstream
Date: Thu, 22 Jan 2004 23:46:20 +1100
The ash bug which occured when alt-1 was pressed has been fixed in
upstream cvs in shell/cmdedit.c rev 1.86


Glenn



Tags added: pending, fixed-upstream Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stephen Frost <sfrost@snowman.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 228915-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 228915-close@bugs.debian.org
Subject: Bug#228915: fixed in busybox-cvs 20040101-6
Date: Sat, 31 Jan 2004 11:32:04 -0500
Source: busybox-cvs
Source-Version: 20040101-6

We believe that the bug you reported is fixed in the latest version of
busybox-cvs, which is due to be installed in the Debian FTP archive:

busybox-cvs-floppy-udeb_20040101-6_i386.udeb
  to pool/main/b/busybox-cvs/busybox-cvs-floppy-udeb_20040101-6_i386.udeb
busybox-cvs-static_20040101-6_i386.deb
  to pool/main/b/busybox-cvs/busybox-cvs-static_20040101-6_i386.deb
busybox-cvs-udeb_20040101-6_i386.udeb
  to pool/main/b/busybox-cvs/busybox-cvs-udeb_20040101-6_i386.udeb
busybox-cvs_20040101-6.diff.gz
  to pool/main/b/busybox-cvs/busybox-cvs_20040101-6.diff.gz
busybox-cvs_20040101-6.dsc
  to pool/main/b/busybox-cvs/busybox-cvs_20040101-6.dsc
busybox-cvs_20040101-6_i386.deb
  to pool/main/b/busybox-cvs/busybox-cvs_20040101-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 228915@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated busybox-cvs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 22 Jan 2004 14:25:24 +0100
Source: busybox-cvs
Binary: busybox-cvs-static busybox-cvs busybox-cvs-udeb busybox-cvs-floppy-udeb
Architecture: source i386
Version: 20040101-6
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 busybox-cvs - Tiny utilities for small and embedded systems
 busybox-cvs-floppy-udeb - Tiny utilities for the debian-installer floppy images (udeb)
 busybox-cvs-static - Standalone rescue shell with tons of builtin utilities
 busybox-cvs-udeb - Tiny utilities for the debian-installer (udeb)
Closes: 228248 228915
Changes: 
 busybox-cvs (20040101-6) unstable; urgency=low
 .
   * debian/config-udeb*:
     - Enable dd. (closes: #228248)
   * debian/control:
     - Set Standards-Version to 3.6.1, no changes.
     - Remove Glenn McGrath <bug1@debian.org> from Uploaders.
   * shell/cmdedit.c:
     - Fix lockup (upstream). (closes: #228915)
   * networking/wget.c:
     - Fix proxy (upstream).
Files: 
 3341599d0996a0263521b40928bc3125 793 - optional busybox-cvs_20040101-6.dsc
 87cc8fc46c5625ccea67fcd57ce763f4 142176 - optional busybox-cvs_20040101-6.diff.gz
 75dfed0b95703f432634257dbe10243c 664338 shells optional busybox-cvs-static_20040101-6_i386.deb
 800e7fc3285af3114106d39936de68f6 125504 utils optional busybox-cvs_20040101-6_i386.deb
 85a647eb6ca42d41d0a2188935e56a2f 135626 debian-installer extra busybox-cvs-udeb_20040101-6_i386.udeb
 928d557f0cb9790223cf3945f3646289 59180 debian-installer extra busybox-cvs-floppy-udeb_20040101-6_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iEYEARECAAYFAkAb1nMACgkQLkAIIn9ODhGRkwCeNEVhSEtcZYxj7BXTDcHBzCaJ
ptUAnibIGXOjW+qj/WCHl7D5/eFLYLEA
=wgFi
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:14:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.